# Stomp::begin

# stomp_begin

(PECL stomp >= 0.1.0)

Stomp::begin -- stomp_begin — Starts a transaction

### Description

Object oriented style (method):

public Stomp::begin ( string `$transaction_id` [, array `$headers` ] ) : bool

Procedural style:

stomp_begin ( resource `$link` , string `$transaction_id` [, array `$headers` ] ) : bool

Starts a transaction.

### Parameters

`link`

  Procedural style only: The stomp link identifier returned by stomp_connect().

`transaction_id`

  The transaction id.

`headers`

  Associative array containing the additional headers (example: receipt).

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

Tip

Stomp is inherently asynchronous. Synchronous communication can be implemented adding a receipt header. This will cause methods to not return anything until the server has acknowledged receipt of the message or until read timeout was reached.

### Examples

See stomp_commit() or stomp_abort().